     .MODEL small              ; Atminties modelis: 64K kodui ir 64K duomenims 
    .STACK 256                ; Stekas
    
    .DATA
                
        fname	db 127 dup(0) ; 1 duomenu failo vardas
        fname2	db 127 dup(0) ; 2 duomenu failo vardas
        fname3	db 127 dup(0) ; rezultatu failo vardas

        Handle	dw 0          ; bylu deskriptoriai
        Handle2	dw 0
        Handle3	dw 0  
        
        erorr1  db 'Blogi parametrai!',13,10     
        
        help    db 13,10,'Darius Kavaliauskas Informatika, 6 grupe', 13, 10, 13, 10          ;Pranesimai apie klaidas
                db 'programa atima 2 desimtainius skaicius,',32
                db 'kurie yra failuose', 13, 10, 13, 10
                db 'Naudojimasis: atimtis[.exe] datafile1 datafile2 rezfile', 13, 10
                db 'Helpas: /? ', 13, 10, 13, 10
         
        msglen = $-help        ; Eilutes msg ilgis gaunamas is einamojo adreso ($) atemus jos pradzios adresa 
     OpenError1 db 'Negaliu atidaryti pirmo duomenu failo',13,10
     OpenError2 db 'Negaliu atidaryti antro duomenu failo',13,10
    CreateError db 'Negaliu sukurti rezultatu failo',13,10


        kiek    dw 4          ;dydis po kiek imame i buferi is failo
        tmp     dw 4          ;dydis reikalingas kaip laikinasis
        pos_1_1 dw 0h          ;failu poziciju indeksai
        pos_1_2 dw 0h
        pos_2_1 dw 0h
        pos_2_2 dw 0h
        
        pos_3_1 dw 0h          ;failu poziciju indeksai
        pos_3_2 dw 0h
        pos_4_1 dw 0h
        pos_4_2 dw 0h
        
        minty   db 0           ;dydis kuris skirtas mintyje laikyti 1 arba 0 reiksme
        max1    dw 0           ;pirmo maximalaus skaiciaus dydis
        max2    dw 0           ;antro maximalaus skaiciaus dydis
        pos     db 0           
        PSP_Adresas dw 0            ; PSP(programos segmento prefikso) adreso kintamasis
        buf1	db 100h dup(?)		; buferis, i kuri skaitysime 1 failo fragmentus
        buf2	db 100h dup(?)		; buferis, i kuri skaitysime 2 failo fragmentus        
        
        
        

    .CODE
Strt:            
    
        push ds                 ; padeti PSP segmentini pradzios adresa i steka   
        mov ax, @data           ; persiusti i ds ir es duomenu segmento 
        mov ds, ax              ; pradzios adresa 
         
        pop PSP_Adresas         ; Issaugoti PSP adresa kintamajame "PSP_Adresas" 
        mov ax, PSP_Adresas
        mov es, ax              ; PSP adresa siunciam i ES

        cmp byte ptr es:[80h],0 ; tikriname ar ivestas bent vienas zenklas(komandines eilutes ilgis)
        jne nereikHelp          ; jei ivesta spausdiname nereikHelp
        
        mov dx,offset Help
        mov cx,msglen 
        call printMSG
        jmp endd                ;baigiama programa
        
        
    nereikHelp:  
        
                                ;spaudinsim help jei ivesta /?
        mov ah,es:82h
        mov al,es:83h
        
        cmp ah, '/'             ;tikrinam ar pirmas simbolis /
        jne nereikHelp2         ;jei ne, soka i kita lentele
        
        cmp al,'?'              ;tikrinam ar antras simbolis ?
        jne nereikHelp2         ;jei ne, soka i kita lentele
        
        
        mov dx,offset Help      ;jei viskas gerai, spausdina help pranesima
	    mov cx,msglen
	    
	    call printMSG
        jmp endd                ;baigiama programa
  
      nereikHelp2:
          

        mov cl,es:80h   
        sub cx,3
               
        mov si,82h              ; nuo 82h prasideda komandine eilute
        mov bx,0                ; zodyje kiek simboliu
        
      read:
                
        mov dl, es:[si] 
        cmp dl, ' '
        je prasok               ; jei tarpas soka i prasok
        mov [fname+bx],dl       ; sudarom failo varda
        inc bx                  ; pozicija i kuria rasysim sekanti jei bus ne tarpas
        inc si                  ;padidinam bx ir si registrus
      loop read  

        mov dx,offset erorr1    ; jei nerandam tarpo spausdiname klaida ir baigiame darba
        mov cx,19 
        call printMSG
        jmp endd
       
       prasok:
        mov bx,0
        
       
       
       read2:
        inc si        
        mov dl, es:[si] 
        cmp dl, ' ' 
        je prasok2 
        mov [fname2+bx],dl
        inc bx 
        
      loop read2
        
       
        mov dx,offset erorr1
        mov cx,19 
        call printMSG
        jmp endd
        
        prasok2:
        mov bx,0  
         
       read3:
        inc si        
        mov dl, es:[si] 
        cmp dl, 0dh      
        je pradedam 
        mov [fname3+bx],dl
        inc bx
      loop read3

     pradedam:

	                            ;Atdirarom pirmaja byla
	    mov dx,OFFSET fname

        call open1

        jc c1                   ; Jei negalima atidaryti failo, spausdinam klaida ir baigiam darba cf = 1
        mov [Handle],ax         ; Issaugom deskriptoriu


                                ; Atsidarom Antraja byla
        clc
        mov dx,OFFSET fname2
        clc                     ; Isvalome CF=0;
        call open1              ; Iskvieciame open1 procedura, kuri atidaro norima faila
        mov [Handle2],ax        ; antro failo deksriptoriui priskiriame ax registro reiksme
	    jc c2                   ; jei CF=1, tada ivyko klaida ir sokame i c2 lentele

	                            ; Susikuriame rezultatu faila
	    mov ah, 3ch
	    mov cx, 0
	    mov dx, offset fname3
	    mov ah, 3ch
	    mov al, 02              ; Reikalinga jei norime read/write teisiu
	    clc                     ; Isvalome CF=0
	    int 21h
	    jc c3                   ; Jei klaida, sokame i c3
	    mov [Handle3],ax        ; i trecio failo deskriptoriaus reiksme issaugome ax registro reiksme


	                            ;suzinome 1 failo dydi
        mov BX, Handle
        call bylosDydis
        mov pos_1_1,dx          ; poslinkio dydzio pirmi du baitai
        mov pos_1_2,ax          ; poslinkio dydzio antri du baitai


                                ;suzinome 2 failo dydi
        mov BX, Handle2         ;bx registre issaugome 2 failo deskriptoriaus reiksme
        call bylosDydis         ;sokame i Procedura bylosDydis
        mov pos_2_1,dx
	    mov pos_2_2,ax

	    call raskMax            ; randame didziausio failo dydi raskMax proceduros pagalba

        mov ax, pos_1_2
	    cmp ax, max2            ; jei lygus tikrinsim kitus du baitus
	    je vacia                ; jei lygus sokam i lentele vacia
	    jmp nereik              ; sokam i lentele nereik


	                            ;Jei ivyko klaida baigsime darba
	  c3:
        mov dx,offset CreateError
	    mov cx,1
	    call printMSG               ;ivykus klaidai sokame i printMSG procedura, kuri atspausdina klaidos pranesima
        jmp e2                      ;sokame i e2 lentele
      c2:                           ;atspausdinam klaida 
        mov dx,offset OpenError2
	    mov cx,39
	    call printMSG
        jmp e1
      c1:
        mov dx,offset OpenError1
	    mov cx,39
	    call printMSG
        jmp endd



	    nereik:
	                            ; sukeiciame bylu deskriptorius, ir kintamuosius su ju dydziais
	    mov ax,pos_1_2
        mov tmp,ax
	    mov ax,pos_2_2
	    mov pos_1_2, ax
	    mov ax,tmp
	    mov pos_2_2, ax
   
        mov ax,handle
        mov tmp,ax

        mov ax,handle2
        mov handle,ax

        mov ax,tmp
        mov handle2,ax

	  vacia: 
	  
	    call tikrinkim
	    toliau1:     
        mov ax,pos_1_1
	    mov bx,pos_1_2
	    toli: 
	    
	  
        jmp ciklas

      ;sukuriame mums reikiamo dydzio byla-------------------------------------------------------------
      ciklas:

        cmp ax,0
        ja pasilik

        cmp bx,kiek
        jb toliau

       pasilik:

        call AtimkAXBX      
	    call spausdink1            ; iraso buferio dydi i rezultatu faila
        jmp ciklas

      toliau:

        cmp bx,0
        je atimtis

        mov kiek,bx
        call  spausdink1
        mov ax,tmp
        mov kiek,ax

      ;atimam kol buferiai bus pilni==================================================================
      atimtis:

        cmp pos_2_1,0             
	    ja praleisk

	    mov ax, pos_2_2            ; tikriname ar tilps i buferi
	    cmp ax, kiek
	    jae praleisk               ; buferio dydis arba daugiau
	    jmp skip1                  ; jei neuzpildys pilno, iseiname is ciklo


       praleisk:                   ; nuskaitinejam ir gryztam atgal
        mov bx, handle     
	    call  Pastumk1
	    mov pos_1_1,dx
        mov pos_1_2,ax   
        
	    call  nuskaityk1 
	    mov bx, handle 
	    call  Pastumk1
        mov pos_1_1,dx
        mov pos_1_2,ax 	    

	    call Pastumk2
	    call nuskaityk2
	    call Pastumk2

        call atimkt                
        call atgal                 ;sokam i rezultatu failo gala
	    call spausdink1           
	    call atgal
	    jmp atimtis

;-------atimam paskutinius skaicius is mazesnio dydzio failo ,jei ju yra-------------------------------
 skip1:                            ;nuskaitom paskutinius simbolius is antro failo, ir atimam
 
        mov ax, pos_2_2
        cmp ax, 0
        je cian                 ;jei antras tuscias praleidziam
        mov kiek, ax
        mov bx, handle     
	    call  Pastumk1
	    mov pos_1_1,dx
        mov pos_1_2,ax  
        call  nuskaityk1
        mov bx, handle     
	    call  Pastumk1
	    mov pos_1_1,dx
        mov pos_1_2,ax  
	      
                     
	    call  Pastumk2
	    call  nuskaityk2
	    call  Pastumk2
	          
        call  atimkt  
        call  atgal    
	    call  spausdink1  
	    call  atgal
	      
      cian:	
        mov cx,kiek 
        inc cx
      uzpildom:                    ;uzpildome nuliais kad galetume atimti
        mov si,cx
        dec si
        mov [buf2+si],48
        loop uzpildom
        mov [buf2],48 
        mov ax,tmp
        mov kiek,ax   
	      
      atimtis3:	                   ;kol pareis i pirmo failo buferi
	      
        cmp pos_1_1,0
        jne neiseik
        
        mov ax, kiek 
        cmp pos_1_2,ax
        jb skip2
      
      
      neiseik: 
 
       mov cx, tmp  
     uzpildom2:  
        mov si,cx
        dec si
        mov [buf2+si],48
        loop uzpildom2
               

        mov bx, handle              ;atimam kol bus pilni buferiai
	    call  Pastumk1
	    mov pos_1_1,dx
        mov pos_1_2,ax  
	    call  nuskaityk1
        mov bx, handle     
	    call  Pastumk1
	    mov pos_1_1,dx
        mov pos_1_2,ax  

        call atimkt  
        call atgal    
	    call spausdink1
	    call atgal 
	    jmp atimtis3 
      skip2: 

        cmp pos_1_2,1               ; tikriname ar 0, jei vienas baigiam darba
        jb skip66
    
        mov ax,pos_1_2
        mov kiek, ax

        mov bx, handle     
	    call  Pastumk1
	    mov pos_1_1,dx
        mov pos_1_2,ax  
        
	    call  nuskaityk1
        mov bx, handle     
	    call  Pastumk1
	    mov pos_1_1,dx
        mov pos_1_2,ax  
        

        call atimkt 
        call atgal     
	    call spausdink1
	    call atgal 
 
      skip66:        
         
 
	    
      programos_pabaiga:
      e3:	             
        mov bx, handle3
	    mov ah, 3eh                                ;int 21,3E - bylos uzdarymas naudojant deskriptoriu 
        int 21h                                    ;IN
      e2:                                          ; AH - 3Eh (funkcijos numeris)
        mov ah, 3eh                                ; BX - uzdaromos bylos deskriptorius
        mov bx, handle2                            ;OUT 
	    int 21h                                    ; AX - klaidos kodas, jei CF pozymis nustatytas (CF=1)
      e1:                                          ;Uzdrom pirmaji faila
        mov ah, 3eh
        mov bx, handle	         
	    int 21h
	    
	 endd:                                         ;baigiam darba
	    mov ax,04C00h
	    int 21h		                      
                 
            
                 
                 
;------------------------proceduros------------------------------------------------------------------



    open1 PROC                ;int 21,3D  bylos atidarymas naudojant deskriptoriu 
        clc                   ;IN
	    mov ax,3d00h          ; AH - 3Dh (funkcijos numeris) 
	    int 21h               ; AL - darbo su byla rezimas. Galimos reiksmes:
	    ret                   ;  00 - tik skaitymui 
    open1 ENDP                ;  01 - tik rasymui
                              ;  02 - skaitymui ir rasymui    
                              ; DS:DX - ASCIIZ (eilute, kurios pabaiga zymima 0) bylos vardo adresas. 
                              ;Galima nurodyti ir kelia (disko varda ir/ar katalogus) 
                              ;OUT  
                              ; AX - bylos deskriptorius, jei CF pozymis nenustatytas (CF=0) 
                              ;    - klaidos kodas, jei CF pozymis nustatytas (CF=1) 

	    
    bylosDydis PROC
    	mov AH, 42h 
        mov AL, 02              ; jei 02, tada nusokstam i gala
        mov cx, 0
        mov dx, 0
    	int 21h
        ret
    bylosDydis ENDP	   
    
    AtimkAXBX proc
	    sub bx,kiek 
	    jc atimk  
	    ret
	    
	    
	    atimk: 
	    dec ax
	    ret
	    
    AtimkAXBX ENDP  
    
    AtimkCXDX proc
	    sub dx,kiek
	    jc atimk2  
	    ret
	    
	    
	    atimk2: 
	    dec cx
	    ret
	    
    AtimkCXDX ENDP  


;======================
    Pastumk1 PROC
  
        push cx
        push bx     
        
       
	    mov ax, 4201h
	    mov cx, 0ffffh
	    mov dx, kiek
	    neg dx
        int 21h


        pop bx
        pop cx
        ret
    Pastumk1 ENDP
;======================
    nuskaityk1 PROC
        push dx                ;issaugome steke dx,cx,bx,ax
        push cx
        push bx
        push ax
        xor ax,ax              ;int 21,3F - bylos skaitymas naudojant deskriptoriu 
        mov ah,3fh             ;IN  
	    mov bx, handle         ; AH - 3Fh (funkcijos numeris) 
                               ; BX - bylos deskriptorius, gautas atidarius byla
	    mov cx,kiek            ; CX - kiek baitu skaityti 
	    mov dx,OFFSET buf1     ; DS:DX - skaitymo buferio adresas 
	    int 21h                ;OUT
                               ; AX - kiek baitu perskaityta, jei CF pozymis nenustatytas (CF=0) 
        pop ax                 ;    - klaidos kodas, jei CF pozymis nustatytas (CF=1)
        pop bx
        pop cx                 ;is steko graziname dx,bx,ax,cx reiksmes
        pop dx

	    ret
    nuskaityk1 ENDP            ;Poreceduros pabaiga
;======================
    spausdink1 PROC                    
        push dx                ;int 21,40 - bylos rasymas naudojant deskriptoriu 
        push cx                ;IN
        push bx                ; AH - 40h (funkcijos numeris) 
        push ax                ; BX - bylos deskriptorius, gautas atidarius byla 
	    mov ah,40h             ; CX - kiek baitu rasyti
	    mov cx,kiek            ; DS:DX - rasymo buferio adresas
	    mov dx,offset buf1     ;OUT
 	    mov bx,handle3         ; AX - kiek baitu irasyta, jei CF pozymis nenustatytas (CF=0)
 	    int 21h                ;    - klaidos kodas, jei CF pozymis nustatytas (CF=1)
        pop ax
        pop bx
        pop cx
        pop dx

        ret
    spausdink1 ENDP      
;======================
    Pastumk2 PROC
        push dx
        push cx
        push bx
        push ax
    	mov bx, handle2
	    mov ax, 4201h
	    mov cx, 0ffffh
	    mov dx, kiek
	    neg dx     
        int 21h
        mov pos_2_1,dx
        mov pos_2_2,ax
        pop ax
        pop bx
        pop cx
        pop dx
        ret
    Pastumk2 ENDP
;======================    
    nuskaityk2 PROC  
        push dx
        push cx
        push bx
        push ax
        xor ax,ax   
        mov ah,3fh
	    mov bx, handle2
	    
	    mov cx,kiek
	    mov dx,OFFSET buf2 
	    int 21h 
	    
        pop ax
        pop bx
        pop cx
        pop dx
	      
	    ret
    nuskaityk2 ENDP     
    
;====================== 
    atimkt PROC
        push ax
        push bx
        push cx
        push dx
        xor ax,ax               ;nunulinam ax, kuris bus naudojamas skaiciavimuose
        

        mov di, kiek            ; buferio dydis

        mov cx, kiek            ;ciklo skaitliukas
      kartokim:
        dec di                  ; mazinam pozicija kur esam buferyje
        dec si
        
        mov al, [buf1+di]       ;al registre issaugome pirmojo skaitmens reiksme
        mov ah, [buf2+di]       ;ah registre issaugome antrojo skaitmens reiksme
        cmp ah, 57              ;ziurime ar antras skaitmuo yra lygus 9
        je kitasss              ;jei lygus sokam
        
        kitass:                 ;jei antras skaitmuo mazesnis uz 9
        add ah,minty            ;pridedam prie antrojo tai kas minty
        sub al, ah              ;ir atimam skaitmenis
        jc pradekime            ;jei gavom minusini skaiciu, sokam
         
        add al, 48              ;jei gautas ne minusinis
        mov [buf1+di],al        ;issaugome al reiksme pirmajame buferyje
        mov minty,0             ;mintyje laikome 0
        jmp skipp               ;sokame i skipp
        
        pradekime:
        add al, 58              ;prie pirmojo skaitmens pridedam 10 ir 48, kad butu gautas toks pat skaitmuo
        mov [buf1+di],al        ;issaugome al reiksme pirmajame buferyje
        mov minty,1             ;mintyje turime 1
        
        jmp skipp               ;sokame i skipp
        
        kitasss:                
        mov [buf1+di],al        ;issaugome al reiksme pirmajame buferyje
        mov minty,1             ; ir minty lieka 1
     
       
        skipp:

        loop kartokim           ; cx-1 ir kartojame cikla, kol cx=0

        pop dx
        pop cx
        pop bx
        pop ax
 
        ret
    atimkt ENDP   
;======================   
    atgal PROC                               ;int 21,42 - einamosios pozicijos byloje nustatymas naudojant deskriptoriu 
        push ax                              ;IN                 
        push bx                              ; AH - 42h (funkcijos numeris)                  
        push cx                              ; AL - nuo kur skaiciuojamas poslinkis                  
        push dx                              ;  00 - nuo bylos pradzios                  
        mov Ax, 4201h                        ;  01 - nuo einamosios pozicijos 
        mov BX, Handle3                      ;  02 - nuo bylos pabaigos                   
	                                         ; BX - bylos deskriptorius, gautas atidarius byla       
        mov cx, 0ffffh                       ; CX:DX - per kiek baitu pastumti (skaicius su zenklu)
                                             ; DS:DX - rasymo buferio adresas       
        mov dx,kiek                          ;OUT           
        neg dx                               ; DX:AX - nauja pozicija nuo bylos pradzios, jei CF nenustatytas (CF=0)             
                                             ; AX - klaidos kodas, jei CF pozymis nustatytas (CF=1)      
        int 21h 
                                      
        pop dx                                               
        pop cx                                              
        pop bx
        pop ax
        ret                                               

    atgal ENDP 
;======================
    raskMax  PROC
        push ax    

        mov ax,pos_2_1
        cmp pos_1_1,ax
    
        ja daugiau
        jb maziau

        mov ax, pos_2_1
        mov max1,ax
        mov ax, pos_2_2
        mov max2, ax
    
        mov ax,pos_2_2
        cmp pos_1_2,ax
    
        jb maziau2
    
        mov ax, pos_1_1
        mov max1,ax
        mov ax, pos_1_2
        mov max2, ax
        pop ax
        ret
    
    
      maziau2:
    
        mov ax, pos_2_1
        mov max1,ax
        mov ax, pos_2_2
        mov max2, ax
    
        pop ax
        ret

      daugiau:
        mov ax, pos_1_1
        mov max1,ax
        mov ax, pos_1_2
        mov max2, ax
        pop ax
        ret 
 
      maziau:
        mov ax, pos_2_1
        mov max1,ax
        mov ax, pos_2_2
        mov max2, ax
        pop ax
        ret
    raskMax ENDP
;======================   
    printMSG PROC         ; spausdina simboliu eilute
        mov ah,40h
        mov bx,1
 	    int 21h  
 	    ret
    printMSG ENDP
    
      
;====================================
    Tikrinkim PROC 
        mov ax, pos_1_1         
        cmp ax, pos_2_1   
        ja toliau1       ;jeigu pirmas didesnis arba jie lygus
        
        mov ax, pos_1_2
        cmp ax, pos_2_2   
        ja toliau1       ;jeigu pirmas didesnis arba jie lygus
;-------------------------------------        
        cmp pos_1_1,0
        ja praleiskime    ;jei pirmas daugiau nei nulis sokame i praleiskime
           
        push bx             ;jei pirmas lygus nuliui
        mov bX, handle     
        call griskIpradzia  ;gristame i failo pradzia, nuo kurios pradesime skaityti skaitmenis
        mov pos_3_1,dx      ;prisiskiriame reiksmes naujiems failu pozicijos indeksams
        mov pos_3_2,ax 
        pop bx
          
        push bx  
        mov bx, handle2     ;gristame i antro failo pradzia
        call griskIpradzia
        pop bx
        
        mov ax,pos_1_2
        cmp ax,kiek
        jb  praleiskime     ;jei pirmo skaiciaus antri du bitu kiekis mazesnis uz buferio dydi
        
       
        cikliukas:  
                    
            push bx
            mov bx, handle           
    	    mov dx,OFFSET buf1 
            call nuskaityk_n         ;nuskaitome pirma faila i buferi
            pop bx
            
            push bx        
            mov bx, handle2
    	    mov dx,OFFSET buf2 
            call nuskaityk_n         ;nuskaitome antra faila i buferi
            pop bx
            
            
            mov bx, handle
    	    mov dx,OFFSET buf1             
            call kurEsu              ;nusistatome pozicija pirmam buferyje
            mov pos_3_1,dx
            mov pos_3_2,ax  
            
            
            mov cx,kiek              ;cikliuko2 skaitliukas
            mov si,0                 ;skaitom nuo pirma skaitmens
                cikliukas2:
                    mov ah,[buf1+si] ;i ah patalpinam pirmo buferio pirmo skaitmens reiksme
                    cmp ah,[buf2+si] ;lyginam su antro buferio pirmo skaitmens reiksme
                    jb Swap          ;jei pirmas mazesnis , keiciam juos vietomis
                loop cikliukas2      ;tesiam cikliuka2, kol cx=0
            
            mov bx, pos_1_2          ;jei pirmo buferio skaitmuo didesnis uz antro, tada priskiriam jo reiksmes
            
            mov dx, pos_3_2 
            
            call AtimkAXBX           ;mazinam ax ir bx reiksmes
            
            cmp dx, bx               ;jei dx daugiau uz bx, sokam
            ja aaaaaaaaa    
        jmp cikliukas                ;jei mazesnis tada grista i cikla
         
        aaaaaaaaa: 
        
        jmp praleiskime              ;jei dx daugiau uz bx, sokam
        Swap:
        
            mov ax,pos_1_2           ;keiciame vietomis
            mov tmp,ax
    	    mov ax,pos_2_2
    	    mov pos_1_2, ax
    	    mov ax,tmp
    	    mov pos_2_2, ax
       
            mov ax,handle
            mov tmp,ax
    
            mov ax,handle2
            mov handle,ax
    
            mov ax,tmp
            mov handle2,ax
        
        
        
        praleiskime:
        
     
    ret                                                                          
        
Tikrinkim ENDP         
    
;====================================    
    
  griskIpradzia PROC                         ;int 21,42 - einamosios pozicijos byloje nustatymas naudojant deskriptoriu 
                                             ;IN                 
        push bx                              ; AH - 42h (funkcijos numeris)                  
        push cx                              ; AL - nuo kur skaiciuojamas poslinkis                  
                                             ;  00 - nuo bylos pradzios                  
        mov Ax, 4200h                        ;  01 - nuo einamosios pozicijos 
                                             ;  02 - nuo bylos pabaigos                   
	                                         ; BX - bylos deskriptorius, gautas atidarius byla       
        mov cx, 00h                          ; CX:DX - per kiek baitu pastumti (skaicius su zenklu)
                                             ; DS:DX - rasymo buferio adresas       
        mov dx,0                             ;OUT           
                                             ; DX:AX - nauja pozicija nuo bylos pradzios, jei CF nenustatytas (CF=0)             
                                             ; AX - klaidos kodas, jei CF pozymis nustatytas (CF=1)      
        int 21h 
                                      
                                                       
        pop cx                                              
        pop bx
        
        ret                                               
  griskIpradzia ENDP    
;====================================
  kurEsu PROC                               ;int 21,42 - einamosios pozicijos byloje nustatymas naudojant deskriptoriu 
                                             ;IN                 
        push bx                              ; AH - 42h (funkcijos numeris)                  
        push cx                              ; AL - nuo kur skaiciuojamas poslinkis                                                ;  00 - nuo bylos pradzios                  
        mov Ax, 4201h                        ;  01 - nuo einamosios pozicijos 
                                             ;  02 - nuo bylos pabaigos                   
	                                         ; BX - bylos deskriptorius, gautas atidarius byla       
        mov cx, 00h                          ; CX:DX - per kiek baitu pastumti (skaicius su zenklu)
                                             ; DS:DX - rasymo buferio adresas       
        mov dx,0                             ;OUT           
                                             ; DX:AX - nauja pozicija nuo bylos pradzios, jei CF nenustatytas (CF=0)             
                                             ; AX - klaidos kodas, jei CF pozymis nustatytas (CF=1)      
        int 21h 
                                                                                     
        pop cx                                              
        pop bx
        ret                                               
  kurEsu ENDP   
;====================================    
      nuskaityk_n PROC  
        push dx
        push cx
        push bx
        push ax
        xor ax,ax   
        mov ah,3fh
	    mov cx,kiek
	    
	    int 21h 
	    
	    
        pop ax
        pop bx
        pop cx
        pop dx
	      
	    ret
    nuskaityk_n ENDP  

 
END Strt